Bug 125227

Summary: icons change picture and order when highlighted
Product: [Fedora] Fedora Reporter: Scott Norris <s-norris2>
Component: shared-mime-infoAssignee: Christopher Aillon <caillon>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 2CC: mattdm
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-28 13:47:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Scott Norris 2004-06-03 14:59:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Epiphany/1.2.4

Description of problem:
When I highlight some types of files, the icons representing them, and
the order in which they appear, change.

*.eps files
- generated by xfig export
- originally "page with brush and palette"
- changes to "page with printer and boxed PS"
- when sorting by file type, they move to a different position

*.fig.bak files 
- backups of xfig files
- originally "square page with paperclip and purple BAK"
- changes to "page with pen and swirly blue ink"
- when sorting by file type, they move to a different position

This is really only an annoyance, except when I was sorting a folder
with about 50 files by file type, my .bak icons (which had been at the
top of the list) suddenly disappeared when I highlighted them (they
had moved to the very bottom of the list).

These are the only file types I've noticed, but if I find more, I'll
append them here.  

Version-Release number of selected component (if applicable):
nautilus-2.6.0-4

How reproducible:
Always

Steps to Reproduce:
1.  Highlight an *.eps or *.bak file

    

Actual Results:  Icons and order change as described in post. 

Expected Results:  Icons shouldn't change, order should not change.

Additional info:
Comment 1 Alexander Larsson 2004-08-26 10:26:09 EDT
These are really mime detection issues. Reassigning so we can keep
track of mime sniffing problems.
Comment 2 Matthew Miller 2005-04-26 12:36:22 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-10-28 13:47:49 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.  If it still
occurs on FC5 or FC6, please reopen and assign to the correct version.

mozilla itself is not shipped in FC6, so for most of these bugs that means
testing in FC5 or against firefox.